/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "OpenNI 1.5.4", "index.html", [
    [ "OpenNI Overview", "index.html", null ],
    [ "Additional Utilities", "additional.html", null ],
    [ "Concepts", "concepts.html", "concepts" ],
    [ "Glossary", "glossary.html", [
      [ "Generator Class", "glossary.html#dict_gen_class", null ],
      [ "Generator Node", "glossary.html#dict_gen_node", null ],
      [ "Node Alternative", "glossary.html#node_alternative", null ],
      [ "Frame Objects", "glossary.html#glos_frame_object", null ],
      [ "Frame Data (Data Frame)", "glossary.html#frame_data", null ],
      [ "Frame Configuration", "glossary.html#frame_cfg", null ],
      [ "Holder Node", "glossary.html#holder_node", null ],
      [ "Meanings of 'User'", "glossary.html#meanings_of_user", null ],
      [ "Updating Nodes", "glossary.html#upd_node", null ]
    ] ],
    [ "Introduction", "introduction.html", [
      [ "Motivation", "introduction.html#intro_motivation", null ],
      [ "General Description", "introduction.html#intro_general_description", null ],
      [ "Production Nodes", "introduction.html#intro_nodes", null ],
      [ "Nodes Types", "introduction.html#intro_node_types", null ],
      [ "Capabilities", "introduction.html#intro_caps", null ],
      [ "Modules", "introduction.html#intro_modules", null ],
      [ "Backwards Compatibility", "introduction.html#intro_bc", null ],
      [ "Choosing C over C++", "introduction.html#intro_choosing_c", null ],
      [ "C++ Wrappers", "introduction.html#intro_cpp", null ]
    ] ],
    [ "Legal Stuff & Acknowledgments", "legal.html", null ],
    [ "HandTracker.java - sample program (java)", "smpl_handtracker_java.html", [
      [ "Handler for 'Hand Destroy' Event", "smpl_handtracker_java.html#htj_evhndlr_handdestr", null ]
    ] ],
    [ "NiAudioSample.cpp - sample program", "smpl_audio.html", null ],
    [ "NiBackRecorder.cpp - sample program", "smpl_back_recrdr.html", null ],
    [ "NiConvertXToONI.cpp - sample program", "smpl_cnvx_to_oni.html", null ],
    [ "NiRecordRaw.cpp - sample program", "smpl_record_raw.html", null ],
    [ "NiRecordSynthetic.cpp - sample program", "smpl_record_syn.html", null ],
    [ "NiSimpleCreate.cpp - sample program", "smpl_simple_create.html", null ],
    [ "NiSimpleRead.cpp - sample program", "smpl_simple_read.html", null ],
    [ "NiSimpleViewer.cpp - sample program", "smpl_simple_view.html", null ],
    [ "NiUserTracker - sample program", "smpl_user_tracker.html", null ],
    [ "NiViewer - sample program", "smpl_niviewer.html", null ],
    [ "Capture.cpp file", "smpl_niviewer_capture_cpp.html", [
      [ "Function: captureStart() -  Starts the Capturing Process", "smpl_niviewer_capture_cpp.html#capture_cpp_Start", null ],
      [ "Function: captureCloseWriteDevice() -  Closes a Write Device", "smpl_niviewer_capture_cpp.html#capture_cpp_CloseWriteDevice", null ],
      [ "Function: captureRestart() -  Restarts the Recording Process", "smpl_niviewer_capture_cpp.html#capture_cpp_captureRestart", null ],
      [ "Function: captureStop() -  Stops the Recording Process", "smpl_niviewer_capture_cpp.html#capture_cpp_captureStop", null ],
      [ "Function: captureFrame() -  Main State Machine for Capturing Frames from Generator Nodes", "smpl_niviewer_capture_cpp.html#capture_cpp_captureFrame", null ],
      [ "Function: captureSetFormat() -  Selects a New Codec for Recording", "smpl_niviewer_capture_cpp.html#capture_cpp_setformat", null ],
      [ "Function group: 'Set Format' for each Production Node", "smpl_niviewer_capture_cpp.html#capture_cpp_setformat_grp", null ],
      [ "Function: getCodecName() -  Gets Text Name of Node's  Current Codec", "smpl_niviewer_capture_cpp.html#capture_cpp_getCodecName", null ],
      [ "Function group: 'getCodecName' for each Generator node", "smpl_niviewer_capture_cpp.html#capture_cpp_getCodecName_grp", null ],
      [ "Function: 'getCaptureMessage()'", "smpl_niviewer_capture_cpp.html#capture_cpp_getCaptureMessage", null ],
      [ "Function group: 'Get File Name' - Build a file name for each Generator node", "smpl_niviewer_capture_cpp.html#capture_cpp_getFileName_grp", null ],
      [ "Function: findUniqueFileName() -  Builds a Unique File Name for Saving a Captured Data Frame", "smpl_niviewer_capture_cpp.html#capture_cpp_findUniqueFileName", null ],
      [ "Function: captureSingleFrame() -  Captures a Single Frame", "smpl_niviewer_capture_cpp.html#capture_cpp_captureSingleFrame", null ]
    ] ],
    [ "Device.cpp file", "smpl_niviewer_device_cpp.html", null ],
    [ "Draw.cpp file", "smpl_niviewer_draw_cpp.html", null ],
    [ "Statistics.cpp file", "smpl_niviewer_stat.html", null ],
    [ "SimpleRead.java - sample program (Java)", "smpl_simple_read_java.html", null ],
    [ "SimpleRead.net - sample program (C#/.NET)", "smpl_simple_read_net.html", null ],
    [ "SimpleViewer.java - sample program (Java)", "smpl_simple_view_java.html", null ],
    [ "SimpleViewer.net - sample program  (C#/.NET)", "smpl_simple_view_net.html", null ],
    [ "UserTracker.java - sample program (Java)", "smpl_user_tracker_java.html", [
      [ "'Pose Detected' event handler", "smpl_user_tracker_java.html#utj_posedetect_ev_hndlr", null ],
      [ "Global Declaration Block", "smpl_user_tracker_java.html#utj_glb_dcl_blk", null ],
      [ "Main Program - UserTracker() \"try\" - How should I title this", "smpl_user_tracker_java.html#utj_func_main", [
        [ "Main Program Loop", "smpl_record_syn.html#rec_syn_main_loop", null ],
        [ "Uses a Script to Set up a Context and Production Graph", "smpl_user_tracker_java.html#svj_scrpt_sets_up_pg", null ],
        [ "Gets a DepthGenerator Node from the Production Graph", "smpl_user_tracker_java.html#utj_get_dg_node_from_pg", null ],
        [ "Defines the Histogram Array", "smpl_user_tracker_java.html#utj_setup_hist_array", null ],
        [ "Creates a UserGenerator Node", "smpl_user_tracker_java.html#utj_create_ug_node", null ],
        [ "Initialize Event Handlers", "smpl_user_tracker_java.html#utj_init_event_hndlrs", null ],
        [ "Initializes the 'joints' Array", "smpl_user_tracker_java.html#utj_init_joints_array", null ],
        [ "Sets the Skeleton Profile", "smpl_user_tracker_java.html#utj_set_ske_prfl", null ],
        [ "Starts the Node Generating", "smpl_user_tracker_java.html#utcs_start_node_generating", null ]
      ] ],
      [ "CalcHist() - Using the Depth Values to Build an Accumulative Histogram", "smpl_user_tracker_java.html#utj_calcHist", null ],
      [ "updateDepth() method: Updating the Depth Map", "smpl_user_tracker_java.html#utj_update_depth_fn", null ],
      [ "getJoint() method", "smpl_user_tracker_java.html#utj_get_joint", null ],
      [ "Drawing the Complete Skeleton", "smpl_user_tracker_java.html#utj_drawing_the_ske", null ],
      [ "getJoints() method", "smpl_user_tracker_java.html#utj_get_joints", null ],
      [ "drawLine() method", "smpl_user_tracker_java.html#utj_draw_line", null ],
      [ "drawSkeleton() method", "smpl_user_tracker_java.html#utj_draw_skel", null ],
      [ "paint() method", "smpl_user_tracker_java.html#utj_paint", null ]
    ] ],
    [ "UserTracker.net - sample program (C#)", "smpl_user_tracker_net.html", [
      [ "Declarations of Event Handlers", "smpl_user_tracker_net.html#utcs_event_handlers", [
        [ "Sets up the Histogram Array", "smpl_user_tracker_net.html#utcs_setup_hist_array", null ],
        [ "Sets up the MapOutputMode", "smpl_user_tracker_net.html#utcs_setup_map_out_mode", null ],
        [ "Sets up the Bitmap Class and Start Run", "smpl_user_tracker_net.html#utcs_setup_bitmap", null ],
        [ "'Calibration Complete' event handler", "smpl_user_tracker_net.html#utcs_calibcmplt_ev_hndlr", null ],
        [ "'Pose Detected' event handler", "smpl_user_tracker_net.html#utcs_posedetect_ev_hndlr", null ],
        [ "'New User' event handler", "smpl_user_tracker_net.html#utcs_newuser_ev_hndlr", null ],
        [ "'Lost User' event handler", "smpl_user_tracker_net.html#utcs_lostuser_ev_hndlr", null ]
      ] ],
      [ "CalcHist() - Using the Depth Values to Build an Accumulative Histogram", "smpl_user_tracker_net.html#utcs_calcHist", null ]
    ] ],
    [ "Samples and Guides", "smpls_n_guides.html", "smpls_n_guides" ],
    [ "Getting Started - A Tutorial", "tutorials.html", "tutorials" ],
    [ "Command-Line Utilities", "cmdutils.html", "cmdutils" ],
    [ "Xml Scripts", "xmlscripts.html", [
      [ "Structure", "xmlscripts.html#xmlstruct", null ],
      [ "Licenses", "xmlscripts.html#xmllics", null ],
      [ "Log", "xmlscripts.html#xmllog", null ],
      [ "Production Nodes", "xmlscripts.html#xmlnodes", [
        [ "Global Mirror", "xmlscripts.html#xmlglobmirror", null ],
        [ "Recordings", "xmlscripts.html#xmlrec", null ],
        [ "Nodes", "xmlscripts.html#xmlnode", null ],
        [ "Recorder", "xmlscripts.html#xmlrecorder", [
          [ "Queries", "xmlscripts.html#xmlquery", null ],
          [ "Configuration", "xmlscripts.html#xmlconfig", null ],
          [ "Start Generating", "xmlscripts.html#xmlstartgen", null ]
        ] ]
      ] ]
    ] ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"_i_xn_node_allocator_8h.html",
"_xn_module_interface_8h.html#a42e40042871ced64370c6ee7e44cf0f7",
"_xn_o_s_strings_8h.html#a989da285c893ee191a05793078ddf54b",
"_xn_types_8h.html#a51d23710019804ac982d27566a820976a8e75f4104c2177c5176dae18f9d650b1",
"_xn_u_s_b_8h.html#af4b8763e60fcaa342403ff5c4b84730e",
"class_xn_hash_t.html#a5e3a27e76556e92e81480a00a0794f95",
"class_xn_thread_safe_queue.html#a0e8a45fbd38996bd7de9c7b9c9aae625",
"classxn_1_1_hand_touching_f_o_v_edge_capability.html#aadcf0b14701e2ced5260b388cc040c3d",
"classxn_1_1_module_device_identification_interface.html#aff60408286ad22d1b59cae97efb569e3",
"classxn_1_1_node_info.html",
"classxn_1_1_state_changed_callback_translator.html#aa1f8b80e9ffca7e96b718d35c5d63ccf",
"group__context.html#ga221768aa6e6f2036757184ce585c53a0",
"group__gestures.html#gae5addb1b5a7016f6434eba74afb25c62",
"group__prdnodeinfo.html#gade461f87d2a0244b249ddd64e27a4930",
"group__utils.html#ga76d839d48328dbcba04bf38f183b750b",
"struct_xn_license.html#ab20be68fa95a89d4ddd282435f34012b",
"struct_xn_module_production_node_interface.html#aa997c343cfc7e94e951104b4e9aada1d"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';